import Vue from 'vue'
import App from './App.vue'
import VueRouter from 'vue-router'
import { VuePlausible } from 'vue-plausible'

Vue.config.productionTip = false
Vue.use(VueRouter)
Vue.use(VuePlausible, {
  domain: 'beta.ordbok.uib.no'
})

Vue.$plausible.enableAutoPageviews()

const router = new VueRouter({
  mode: 'history',
  base: __dirname,
  routes: [
    {
      name: 'root',
      path: '/',
      component: App }, // No props, no nothing
    {
      name: 'word',
      path: '/:lang/w/:word'
    },
    {
      name: 'lookup',
      path: '/:lang/:id(\\d+)/:lemma?',
      component: App,
      props: true }, // Pass route.params to props
    {
      name: 'search',
      path: '/:lang/search/:query',
      component: App,
      props: true}
  ]
})

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
