var mapping = {
  "NOUN": "Substantiv",
  "VERB": "Verb",
  "ADJ": "Adjektiv",
  "ADP": "Preposisjon",
  "PFX": "Prefiks",
  "ADV": "Adverb",
  "DET": "Determinativ",
  "PROPN": "Egennavn",
  "ABBR": "Forkortelse",
  "INTJ": "Interjeksjon",
  "SYM": "Symbol",
  "PRON": "Pronomen",
  "CCONJ": "Konjunksjon",
  "SCONJ": "Subjunksjon",
  "INFM": "Infinitivsmerke",
  "COMPPFX": "I sammensetting",
  "Masc": "Mask.",
  "Fem": "Fem.",
  "Neuter": "Nøytr."
}

var group_list = function(grps) {
  var grp_collection = new Set()
  grps.forEach(function(lemma){
    lemma.paradigm_info.forEach(function(grp){
      if (grp.tags){
          grp_collection.add(grp.tags[0] == 'NOUN' ? mapping[grp.tags[0]] + ', ' + mapping[grp.tags[1]] : mapping[grp.tags[0]])
      }
    })
  })
  if (grp_collection.has('Substantiv, Mask.') && grp_collection.has('Substantiv, Fem.')) {
    grp_collection.delete('Substantiv, Mask.')
    grp_collection.delete('Substantiv, Fem.')
    grp_collection.add('Substantiv, Mask./Fem.')
  }
  return Array.from(grp_collection).join(' - ')
}

export default { group_list}
